%define pypi_name pyrfc3339
%define srcname pyRFC3339

Name:           python-%{pypi_name}
Version:        1.1
Release:        %mkrel 9
Summary:        Generate and parse RFC 3339 timestamps
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pyRFC3339
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
pyRFC3339 parses and generates RFC 3339-compliant timestamps using Python
datetime.datetime objects.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
pyRFC3339 parses and generates RFC 3339-compliant timestamps using Python
datetime.datetime objects.

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}


%changelog
* Sun Mar 02 2025 wally <wally> 1.1-9.mga10
+ Revision: 2157385
- rebuild for python3.13

* Sat Jan 20 2024 wally <wally> 1.1-8.mga10
+ Revision: 2032397
- use pyproject rpm macros

* Sat Jan 20 2024 kekepower <kekepower> 1.1-7.mga10
+ Revision: 2032395
- Rebuild for Python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.1-6.mga9
+ Revision: 1822885
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 1.1-5.mga9
+ Revision: 1775629
- rebuild for python-3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 1.1-4.mga9
+ Revision: 1705842
- rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 1.1-3.mga8
+ Revision: 1608301
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 1.1-2.mga8
+ Revision: 1531766
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 guillomovitch <guillomovitch> 1.1-1.mga8
+ Revision: 1440927
- new version 1.1
- drop python2 support

* Mon Jan 07 2019 kekepower <kekepower> 1.0-5.mga7
+ Revision: 1350378
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0-4.mga7
+ Revision: 1289796
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.0-3.mga7
+ Revision: 1135583
- Rebuild for python 3.6

* Tue Jan 19 2016 daviddavid <daviddavid> 1.0-2.mga6
+ Revision: 925744
- use new python macros
- add python3 package

* Fri Dec 04 2015 guillomovitch <guillomovitch> 1.0-1.mga6
+ Revision: 908042
- imported package python-pyrfc3339

